Download it now!
Bug 128212 - FILEOPEN PPTX text with z-Rotation has wrong position
Summary: FILEOPEN PPTX text with z-Rotation has wrong position
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords: filter:pptx
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2019-10-17 12:49 UTC by Regina Henschel
Modified: 2020-10-20 16:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
VerticalByZrotation.pptx contains shape and image (24.65 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-10-17 12:49 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-10-17 12:49:11 UTC
Created attachment 155085 [details]
VerticalByZrotation.pptx contains shape and image

This is a followup to bug 126060, where import of the z-rotation of the 3D text transformation was implemented.

Open attached file. On the left side is the shape, where the text has been rotated by z-Rotation. On the right side is an image, who it looks in PowerPoint.

Error: The text is rotated but has a wrong position.
Comment 1 Xisco Faulí 2019-10-17 14:27:16 UTC
Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 01d28b0b85f99590c0581e4bbf636bc9281e0571
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Commit Notification 2020-10-16 10:05:34 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c7ada1cc8a294f0d2da32ffc02d0941b1b1afd29

tdf#128212 Change the text z camera rotation order.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-10-20 09:02:27 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/1fdc64bead03d06a4697bfaff28e3a1d6b60cc32

tdf#128212 Change the text z camera rotation order.

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-10-20 16:02:56 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e36b151a5bfbd8a1e3e65e43ddbc082d5ca77a9c

tdf#128212: sd_layout_tests: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.